import com.blommersit.httpd.*;

/**
 * <p>Title: Webserver Library</p>
 * <p>Description: Use this library to extend your application with a webmanagement interface !!!</p>
 * <p>Copyright: Copyright (c) 2002 Blommers IT. See license.txt for details !!</p>
 * <p>Company: Blommers IT</p>
 * @author Rick Blommers
 * @version 1.0
 */

public class Test implements com.blommersit.httpd.HttpHandler
{

    /**
     * this method is called so you can generate the output for the given page.
     * NOTE: the page is accessed the following way:
     *  http://addres:port/packagename/ClassName
     * Calling this URL will pass control to this interface method ;)<br/>
     * @param serverThread a reference to the serverthread that handles the given request. You can
     *                  use this object to recieve the HttpCookie object
     * @param server a reference to the webserver object
     * @param request the request object (contains some information over the given request) This object cab also contain COOKIES and SESSION variables...
     * @param response the response object. Use this object to create the server response, an set some cookies
     * @return for the moment you should return null
     */
    public Object handleHttpRequest( HttpServerThread serverThread, HttpServer server, HttpRequest request, HttpResponse response )
    {
        Integer count =
        (Integer)serverThread.getHttpSession().getValue("counter",new
        Integer(0));
        response.println("<html><head><title>TEST</title></head><body bgcolor='#000000' text='#FFFFFF'>");
        response.println("<h1>Test</h1>");
        response.println("<p>This is a test page </p>");
        response.println("</body></html>");
        serverThread.getHttpSession().setValue("counter",new
        Integer(count.intValue()+1) );
        return null;
    }

}