/*
                      Blommers IT - Webserver Library
    Copyright (C) 2002-2007 Blommers IT, Rick Blommers. All Rights Reserved.
    -----------------------------------------------------------------------

    This program is free software; you can redistribute it and/or modify it
    under the terms of the  Blommers IT - Free Software License Version 1.0
    as published by Blommers IT;  either version 1 of the License,   or (at
    your option) any later version.
    This program is  distributed in the  hope that  it will be useful,  but
    WITHOUT  ANY  WARRANTY;    without  even  the  implied  warranty     of
    MERCHANTABILITY or  FITNESS FOR A PARTICULAR PURPOSE.  See  the license
    for more details.

    You should have  received  a copy of the   Blommers IT -  Free Software
    License along with this program; if not, write to
            Blommers IT, de Amert 124,
            5462 GH, Veghel, The Netherlands
   or request for the license by sending an e-mail to info@blommers-it.nl
   or visit the website: http://www.blommers-it.nl/
*/

package com.blommersit.httpd;

import java.io.*;

/**
 * This class represents a file upload. It contains the result of the fileupload,
 * the original filename, the temporary filename etc..
 * @author Rick Blommers
 * @since V1.01
 */
public class HttpFileUpload
{
////////////////////////////////////////////////////////////////////////////////
// the different upload results
////////////////////////////////////////////////////////////////////////////////

    /**
     * the different results (Those come directly from PHP)<BR/>
     * RESULT_OK = Upload succeeded<BR/>
     * RESULT_SIZE = File is larger the size specified in HttpServerSettings<BR/>
     * RESULT_FORM_PARTIAL = File uploaded was only partial uploaded<BR/>
     * RESULT_NO_FILE = No file was uploaded<BR/>
     *
     */
    public final static int RESULT_OK = 0,
                            RESULT_SIZE = 1,
                            RESULT_PARTIAL = 3,
                            RESULT_NOFILE = 4;

////////////////////////////////////////////////////////////////////////////////
// data members
////////////////////////////////////////////////////////////////////////////////

    /** the original filename */
    String originalFilename;

    /** the temporary file (is null on error!) */
    File tempFile;

    /** the resultcode of the fileupload */
    int result;

////////////////////////////////////////////////////////////////////////////////
// construction / initialisation
////////////////////////////////////////////////////////////////////////////////

    /** the constructor */
    public HttpFileUpload(String originalFilename, File tempFile, int result )
    {
        this.originalFilename   = originalFilename;
        this.tempFile           = tempFile;
        this.result             = result;
    }

////////////////////////////////////////////////////////////////////////////////
// public methods
////////////////////////////////////////////////////////////////////////////////

    /** this method returns the original filename */
    public String getOriginalFilename()
    {
        return this.originalFilename;
    }

    /** this method returs the resultcode */
    public int getResult()
    {
        return this.result;
    }

    /** this method returns the temp File object (on success) */
    public File getTempFile()
    {
        return this.tempFile;
    }
}
