/*
                      Blommers IT - Webserver Library
    Copyright (C) 2002-2007 Blommers IT, Rick Blommers. All Rights Reserved.
    -----------------------------------------------------------------------

    This program is free software; you can redistribute it and/or modify it
    under the terms of the  Blommers IT - Free Software License Version 1.0
    as published by Blommers IT;  either version 1 of the License,   or (at
    your option) any later version.
    This program is  distributed in the  hope that  it will be useful,  but
    WITHOUT  ANY  WARRANTY;    without  even  the  implied  warranty     of
    MERCHANTABILITY or  FITNESS FOR A PARTICULAR PURPOSE.  See  the license
    for more details.

    You should have  received  a copy of the   Blommers IT -  Free Software
    License along with this program; if not, write to
            Blommers IT, de Amert 124,
            5462 GH, Veghel, The Netherlands
   or request for the license by sending an e-mail to info@blommers-it.nl
   or visit the website: http://www.blommers-it.nl/
*/

package com.blommersit.httpd;

/**
 * This is the interface for classes that should be able to handle HTTP requests
 * @author <a href='mailto:rick@blommers-it.nl'>Rick Blommers</a>
 */
public interface HttpHandler
{
    /**
     * this method is called so you can generate the output for the given page.
     * NOTE: the page is accessed the following way:
     *  http://addres:port/packagename/ClassName
     * Calling this URL will pass control to this interface method ;)<br/>
     * @param serverThread a reference to the serverthread that handles the given request. You can
     *                  use this object to recieve the HttpCookie object
     * @param server a reference to the webserver object
     * @param request the request object (contains some information over the given request) This object cab also contain COOKIES and SESSION variables...
     * @param response the response object. Use this object to create the server response, an set some cookies
     * @return for the moment you should return null
     */
    public Object handleHttpRequest( HttpServerThread serverThread, HttpServer server, HttpRequest request, HttpResponse response );

}
