/*
					  Blommers IT - Webserver Library
	Copyright (C) 2002-2007 Blommers IT, Rick Blommers. All Rights Reserved.
	-----------------------------------------------------------------------

	This program is free software; you can redistribute it and/or modify it
	under the terms of the  Blommers IT - Free Software License Version 1.0
	as published by Blommers IT;  either version 1 of the License,   or (at
	your option) any later version.
	This program is  distributed in the  hope that  it will be useful,  but
	WITHOUT  ANY  WARRANTY;    without  even  the  implied  warranty     of
	MERCHANTABILITY or  FITNESS FOR A PARTICULAR PURPOSE.  See  the license
	for more details.

	You should have  received  a copy of the   Blommers IT -  Free Software
	License along with this program; if not, write to
			Blommers IT, de Amert 124,
			5462 GH, Veghel, The Netherlands
   or request for the license by sending an e-mail to info@blommers-it.nl
   or visit the website: http://www.blommers-it.nl/
*/
package com.blommersit.httpd.interceptor;


import com.blommersit.httpd.*;

/**
 * This class is called when the server is about to send a request to the
 * client.
 * I use an abstract class for this, because I think in the future we will
 * be adding some methods to this interceptor. For example to intercept the
 * bytes that are being sent to the client.
 *
 * @author <a href='mailto:rick@blommers-it.nl'>Rick Blommers</a>
 * @since V1.03
 */
public abstract class HttpResponseInterceptor
{

	/**
	 * Overriding this method is the perfect place to do some header adjusting
	 * just before the data is send.
	 *
	 * For example to enable caching for images. (Request ends with .gif / .jpg etc)
	 *
	 * @param thread HttpServerThread the server thread
	 * @param server HttpServer the webserver
	 * @param request HttpRequest the request object
	 * @param response HttpResponse the rseponse object
	 */
	public abstract void interceptWriteHeaders( HttpServerThread thread, HttpServer server,  HttpRequest request, HttpResponse response );


}
