/*
                      Blommers IT - Webserver Library
       Copyright (C) 2002 Blommers IT, Rick Blommers. All Rights Reserved.
    -----------------------------------------------------------------------

    This program is free software; you can redistribute it and/or modify it
    under the terms of the  Blommers IT - Free Software License Version 1.0
    as published by Blommers IT;  either version 1 of the License,   or (at
    your option) any later version.
    This program is  distributed in the  hope that  it will be useful,  but
    WITHOUT  ANY  WARRANTY;    without  even  the  implied  warranty     of
    MERCHANTABILITY or  FITNESS FOR A PARTICULAR PURPOSE.  See  the license
    for more details.

    You should have  received  a copy of the   Blommers IT -  Free Software
    License along with this program; if not, write to
            Blommers IT, de Amert 124,
            5462 GH, Veghel, The Netherlands
   or request for the license by sending an e-mail to info@blommers-it.nl
   or visit the website: http://www.blommers-it.nl/
*/

package com.blommersit.httpd.test;

import com.blommersit.httpd.*;

/**
 * A test HTTP Handler
 * @author unascribed
 */

public class TestHttpHandler implements HttpHandler
{

    public TestHttpHandler()
    {
    }

	/** Go and handle the request */
	public Object handleHttpRequest(HttpServerThread serverThread, HttpServer server, HttpRequest request, HttpResponse response)
	{
		Integer count = (Integer)serverThread.getHttpSession().getValue("counter",new Integer(0));
try
{
		response.print("<html><head><title>TEST</title></head><body bgcolor='#000000' text='#FFFFFF'>");
		response.print("<h1>Test</h1>");
		response.print("<p>Testing </p>");
		response.print("<p>");
		response.print("<b>Raw POST Data:</b> " + request.getRawPostString() + "<br />" );
		response.print("<b>Raw GET Data:</b> " + request.getRawGetString() + "<br />" );
		response.print("</p>");
		response.print("<b>data send by you:</b>");
		response.print( request.getPost("testdata","") );
		response.print("<br /><br/>");

		response.print("<b>multiple test data: (count="+request.getPostCount("testdata")+")</b>");
		response.print( "<ul>" );
		int postCount = request.getPostCount("testdata");
		for( int i=0; i < postCount; i++ )
		{
			response.print("<li>"+request.getPost("testdata",i,"")+"</li>");
		}
		response.print("</ul>");

		response.print("<br /><br/>");
		response.print("file:<br />");
		response.print( request.getPost("testfile","")  );
		response.print("<br/>filedata:<br/><pre>");

		HttpFileUpload fup = request.getPostFile("testfile");
		if( fup != null )
		{
			response.print( "UPLOAD: " +fup.getResult() + ":"+fup.getOriginalFilename() +":"+fup.getTempFile() );
		}
		response.print("</pre><br><br>");
		response.print("<b>session counter:</b>");
		response.print( count.toString() );
		response.print("</body></html>");
}
catch( Exception e)
{
e.printStackTrace();
}
		serverThread.getHttpSession().setValue("counter",new Integer(count.intValue()+1) );
		return null;
	}
}
